View Issue Details

IDProjectCategoryView StatusLast Update
0003552GNUnetcadet servicepublic2019-02-12 15:56
ReporterBart PolotAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0003552: Keep old key material based on the number of missed messages, not time.
DescriptionKeep old derived keys only if some messages are pending at the time a rekey is requested.

Delete said derived keys as long as there is space for it, not based on time.

Optional time based deletion might be still needed:
- three-letter-agency attacker intercepts and drops targeted "interesting" traffic in a very stable network. Traffic might be later retransmitted, users sees nothing.
- one month later agency raids home, keys still in RAM.
TagsNo tags attached.

Activities

Christian Grothoff

2018-06-07 00:40

manager   ~0012990

I may have already implemented this in the CADET rewrite, but should be double-checked.

Christian Grothoff

2019-02-12 15:56

manager   ~0013685

Exists, see MAX_SKIPPED_KEYS.

Issue History

Date Modified Username Field Change
2014-10-14 00:52 Bart Polot New Issue
2014-10-14 00:52 Bart Polot Status new => assigned
2014-10-14 00:52 Bart Polot Assigned To => Bart Polot
2015-02-28 18:37 Christian Grothoff Target Version 0.11.0pre66 => 0.11.0
2018-06-07 00:40 Christian Grothoff Assigned To Bart Polot =>
2018-06-07 00:40 Christian Grothoff Status assigned => confirmed
2018-06-07 00:40 Christian Grothoff Note Added: 0012990
2018-07-07 00:27 Christian Grothoff Priority urgent => normal
2018-07-07 00:27 Christian Grothoff Target Version 0.11.0 =>
2019-02-12 08:59 Christian Grothoff Assigned To => Christian Grothoff
2019-02-12 08:59 Christian Grothoff Status confirmed => assigned
2019-02-12 15:56 Christian Grothoff Status assigned => resolved
2019-02-12 15:56 Christian Grothoff Resolution open => fixed
2019-02-12 15:56 Christian Grothoff Fixed in Version => 0.11.0
2019-02-12 15:56 Christian Grothoff Note Added: 0013685
2019-02-12 15:56 Christian Grothoff Target Version => 0.11.0